Download it now!
Bug 134235 - FILEOPEN DOCX Long chart title flows out of chart area
Summary: FILEOPEN DOCX Long chart title flows out of chart area
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-06-22 15:37 UTC by NISZ LibreOffice Team
Modified: 2020-06-30 12:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (26.49 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-22 15:37 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (77.17 KB, image/png)
2020-06-22 15:38 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-22 15:37:48 UTC
Created attachment 162313 [details]
Example file from Word

Attached user made document contains a stacked bar chart and a long chart title. The chart and the draw area are resized.
When opened in Writer the long chart title flows out of the chart area.

Steps to reproduce:
    1. Open attached document

Actual results:
Chart title is flowing out of the chart area.

Expected results:
Title appears inside the chart boundaries.

LireOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 642fc41cd7d080384658e10b30bb9d3b38a2cbd9
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

Also happens in:
Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Before that it was not really visible.
Comment 1 NISZ LibreOffice Team 2020-06-22 15:38:07 UTC
Created attachment 162314 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Xisco Faulí 2020-06-22 19:13:09 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2020-06-29 10:53:41 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17f131fcb3f534792a3b2ec6048d03fb54b55eb1

tdf#134235 Chart OOXML import: fix long chart title

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-30 12:39:26 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4d2f76e59b9b6d459a623366912eac00864a956d

tdf#134235 Chart OOXML import: fix long chart title

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.